<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraFase.title']}" />
	</ui:define>

	<ui:define name="principal">
		<p:link outcome="mostraCategoria.xhtml" value="#{msg['pages.mostraCategoria.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraFase.title']}"/></h1>
		<h:form id="formMostraFase">
			<p:dataTable var="aux"
					 	 value="#{faseManagedBeans.fasesCategoria}"
					     id="tabelaFase"
					     editable="true" paginator="true"
					     rows="5"
					     paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
					     rowsPerPageTemplate="5,10,15"
					     selectionMode="single" selection="#{faseManagedBeans.faseSelecionada}"
					     rowkey="#{aux.numero}">
					     
				<p:ajax event="rowEdit" listener="#{faseManagedBeans.onRowEdit}"
				update="tabelaFase"/>
				<p:ajax event="rowSelect"/>
          		<p:ajax event="rowUnselect"/>
					     
				<p:column headerText="#{msg['pages.cadastraFase.dataInicio']}">
					<p:cellEditor>
						<f:facet name="output">
							<p:outputLabel value="#{aux.dataInicio}">
								<f:convertDateTime pattern="MM/dd/yyyy"/>
							</p:outputLabel>
						</f:facet>
						<f:facet name="input">
							<p:inputText value="#{aux.dataInicio}">
								<f:convertDateTime pattern="MM/dd/yyyy"/>
							</p:inputText>
						</f:facet>
					</p:cellEditor>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraFase.dataFim']}">
					<p:cellEditor>
						<f:facet name="output">
							<p:outputLabel value="#{aux.dataFim}">
								<f:convertDateTime pattern="MM/dd/yyyy"/>
							</p:outputLabel>
						</f:facet>
						<f:facet name="input">
							<p:inputText value="#{aux.dataFim}">
								<f:convertDateTime pattern="MM/dd/yyyy"/>
							</p:inputText>
						</f:facet>
					</p:cellEditor>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraFase.formato']}">
					<p:outputLabel value="#{aux.formato.descricao}" />
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraFase.categoria']}">
					<p:outputLabel value="#{aux.categoria.nome}" />
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraFase.grupos']}">
					<p:commandButton action="cadastraGrupo.xhmtl?faces-redirect=true" icon="ui-icon-plus">
						<f:setPropertyActionListener value="#{faseManagedBeans.faseSelecionada}" 
						target="#{grupoManagedBeans.faseSelecionada}"/>
					</p:commandButton>
					<p:commandButton action="mostraGrupoPorFase.xhmtl?faces-redirect=true" icon="ui-icon-search">
						<f:setPropertyActionListener value="#{faseManagedBeans.faseSelecionada}" 
						target="#{grupoManagedBeans.faseSelecionada}"/>
					</p:commandButton>
				</p:column>
				
				<p:column filterBy="#{aux.numero}" headerText="#{msg['pages.cadastraFase.numero']}">
					<p:outputLabel value="#{aux.numero}" />
				</p:column>
				
				<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{faseManagedBeans.remover(aux)}"
						update="tabelaFase" />
	  			</p:column>
			</p:dataTable>
		</h:form>
	</ui:define>
</ui:composition>